%define		major		6
%define		libname		%mklibname %{name} %{major}
%define		devname		%mklibname %{name} -d

Name:		frame
Version:	2.5.0
Release:	%mkrel 7
Summary:	Buildup and synchronization of simultaneous touches
Group:		Development/Other
License:	LGPLv3 and GPLv3
URL:		https://launchpad.net/frame
Source0:	https://launchpad.net/%{name}trunk/v%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(evemu)
BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-server)

Requires:	evemu

%description
Frame handles the buildup and synchronization of a
set of simultaneous touches.

#------------------------------------------------------------------

%package -n	%{libname}
Summary:	Frame Library Package
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs
dynamically linked with %{name}.

#------------------------------------------------------------------

%package -n	%{devname}
Summary:	Frame Development Package
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package provides headers files for %{name} development.

#------------------------------------------------------------------
%prep
%setup -q

%build
autoreconf -vfi
%configure \
		--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING COPYING.GPL3
%{_bindir}/%{name}-test-x11

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/oif/%{name}.h
%{_includedir}/oif/%{name}_backend.h
%{_includedir}/oif/%{name}_internal.h
%{_includedir}/oif/%{name}_x11.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.5.0-7.mga9
+ Revision: 1837533
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.5.0-6.mga8
+ Revision: 1512326
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-5.mga7
+ Revision: 1297758
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 2.5.0-4.mga6
+ Revision: 936372
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-3.mga5
+ Revision: 745160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-2.mga5
+ Revision: 679322
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 2.5.0-1.mga5
+ Revision: 666256
- update Source link-url
- update License (LGPLv3 and GPLv3)
- fix incorrect libification from devel package
- switch BRs to pkgconfig
- update file list
- new version: 2.5.0

* Fri Oct 18 2013 umeabot <umeabot> 2.2.4-4.mga4
+ Revision: 504618
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2.4-3.mga3
+ Revision: 350800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 matteo <matteo> 2.2.4-2.mga3
+ Revision: 283527
- added missing provide

* Fri Aug 24 2012 matteo <matteo> 2.2.4-1.mga3
+ Revision: 283522
- fixed major
- imported package frame

